std::experimental::pmr::memory_resource::allocate(3)

NAME
std::experimental::pmr::memory_resource::allocate - std::experimental::pmr::memory_resource::allocate

Synopsis
   void* allocate(std::size_t bytes, std::size_t alignment = (library fundamentals TS)
   alignof(std::max_align_t));
   Allocates storage with a size of at least bytes bytes. The returned storage is
   aligned to the specified alignment if such alignment is supported, and to
   alignof(std::max_align_t) otherwise.
   Equivalent to return do_allocate(bytes, alignment);.

Exceptions
   Throws an exception if storage of the requested size and alignment cannot be
   obtained.

See also
   do_allocate allocates memory
   [virtual] (virtual protected member function)